Update human-authored reference fields
curl --request PATCH \
--url https://api.refmatter.com/v1/references/{referenceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 4503599627370495,
"customTitle": "<string>",
"notes": "<string>",
"tags": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revision: 4503599627370495,
customTitle: '<string>',
notes: '<string>',
tags: ['<string>']
})
};
fetch('https://api.refmatter.com/v1/references/{referenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/references/{referenceId}"
payload = {
"revision": 4503599627370495,
"customTitle": "<string>",
"notes": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"workspaceId": "<string>",
"canonicalContentId": "<string>",
"sourceIngestionId": "<string>",
"platform": "youtube",
"canonicalUrl": "<string>",
"state": "processing",
"mediaAvailability": "processing",
"failureCode": "invalid_input",
"retryable": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"revision": 4503599627370495,
"sourceObserved": {
"observationId": "<string>",
"observedAt": "<string>",
"sourceTitle": "<string>",
"sourceDescription": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"publishedAt": "<string>",
"durationMs": 4503599627370495,
"viewCount": 4503599627370495,
"likeCount": 4503599627370495
},
"humanAuthored": {
"customTitle": "<string>",
"notes": "<string>",
"tags": [
"<string>"
]
},
"primaryMediaId": "<string>",
"posterMediaId": "<string>",
"machineDerived": {
"mediaKind": "video",
"detectedContentType": "<string>",
"measuredBytes": 4503599627370495,
"measuredDurationMs": 4503599627370495,
"width": 4503599627370495,
"height": 4503599627370495,
"hasVideoTrack": true,
"hasAudioTrack": true,
"transcript": {
"mediaId": "<string>",
"language": "<string>",
"source": "captions",
"segmentCount": 4503599627370495
},
"creativeSpec": {
"version": "creative-spec.v0",
"hook": "<string>",
"shots": [
{
"startMs": 4503599627370495,
"endMs": 4503599627370495,
"description": "<string>"
}
],
"pacing": {
"averageShotMs": 123,
"cutsPerMinute": 1
},
"callToAction": "<string>",
"generationPrompt": "<string>"
},
"aiProvenance": {
"version": "ai-provenance.v0",
"aiGeneratedScore": 0.5,
"modelGuess": "<string>",
"c2paPresent": true
}
},
"provenance": {
"sourceRouteId": "<string>",
"routeContractVersion": "<string>",
"acquiredAt": "<string>"
},
"mediaHold": {
"referenceId": "<string>",
"mediaId": "<string>",
"expiresAt": "<string>",
"reason": "ingestion_request",
"revision": 4503599627370495
},
"mediaExpiredAt": "<string>"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}references
Update human-authored reference fields
PATCH
/
v1
/
references
/
{referenceId}
Update human-authored reference fields
curl --request PATCH \
--url https://api.refmatter.com/v1/references/{referenceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 4503599627370495,
"customTitle": "<string>",
"notes": "<string>",
"tags": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revision: 4503599627370495,
customTitle: '<string>',
notes: '<string>',
tags: ['<string>']
})
};
fetch('https://api.refmatter.com/v1/references/{referenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/references/{referenceId}"
payload = {
"revision": 4503599627370495,
"customTitle": "<string>",
"notes": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"workspaceId": "<string>",
"canonicalContentId": "<string>",
"sourceIngestionId": "<string>",
"platform": "youtube",
"canonicalUrl": "<string>",
"state": "processing",
"mediaAvailability": "processing",
"failureCode": "invalid_input",
"retryable": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"revision": 4503599627370495,
"sourceObserved": {
"observationId": "<string>",
"observedAt": "<string>",
"sourceTitle": "<string>",
"sourceDescription": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"publishedAt": "<string>",
"durationMs": 4503599627370495,
"viewCount": 4503599627370495,
"likeCount": 4503599627370495
},
"humanAuthored": {
"customTitle": "<string>",
"notes": "<string>",
"tags": [
"<string>"
]
},
"primaryMediaId": "<string>",
"posterMediaId": "<string>",
"machineDerived": {
"mediaKind": "video",
"detectedContentType": "<string>",
"measuredBytes": 4503599627370495,
"measuredDurationMs": 4503599627370495,
"width": 4503599627370495,
"height": 4503599627370495,
"hasVideoTrack": true,
"hasAudioTrack": true,
"transcript": {
"mediaId": "<string>",
"language": "<string>",
"source": "captions",
"segmentCount": 4503599627370495
},
"creativeSpec": {
"version": "creative-spec.v0",
"hook": "<string>",
"shots": [
{
"startMs": 4503599627370495,
"endMs": 4503599627370495,
"description": "<string>"
}
],
"pacing": {
"averageShotMs": 123,
"cutsPerMinute": 1
},
"callToAction": "<string>",
"generationPrompt": "<string>"
},
"aiProvenance": {
"version": "ai-provenance.v0",
"aiGeneratedScore": 0.5,
"modelGuess": "<string>",
"c2paPresent": true
}
},
"provenance": {
"sourceRouteId": "<string>",
"routeContractVersion": "<string>",
"acquiredAt": "<string>"
},
"mediaHold": {
"referenceId": "<string>",
"mediaId": "<string>",
"expiresAt": "<string>",
"reason": "ingestion_request",
"revision": 4503599627370495
},
"mediaExpiredAt": "<string>"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}Authorizations
bearerApiKeysessionCookie
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Opaque reference identifier
Body
application/json
Response
Updated reference detail
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Available options:
youtube Required string length:
1 - 2048Available options:
processing, ready, failed Available options:
processing, ready, expired, failed, unavailable Available options:
invalid_input, unauthenticated, invalid_credential, credential_conflict, forbidden, policy_blocked, route_disabled, route_degraded, not_found, bootstrap_conflict, last_owner_conflict, revision_conflict, idempotency_conflict, unavailable_private, unavailable_restricted, unavailable_removed, unsupported_object, unsupported_media, limit_exceeded, rate_limited, source_changed, network_timeout, network_transport, media_invalid, storage_unavailable, retry_exhausted, internal_error Pattern:
^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$Pattern:
^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$